PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.0 »
- SDSS Utilities (`pydl.pydlutils`) »
- sdss_astrombad

# sdss_astrombad

pydl.pydlutils.sdss.sdss_astrombad(run, camcol, field, photolog_version='dr10')

  For a list of RUN, CAMCOL, FIELD, return whether each field has bad astrometry.

  Parameters:
    run, camcol, field `int` or array of `int`

      Run, camcol and field. If arrays are passed, all must have the same length.

    photolog_version `str`, optional

      Use this version of photolog to obtain the obBadfields.par file, if `PHOTOLOG_DIR` is not set.

  Returns:
    `numpy.ndarray` of `bool`

      Array of bool. `True` indicates the field is bad.

  Raises:
    `ValueError`

      If the sizes of the arrays don’t match or if the array values are out of bounds.

  Notes

  Reads data from `$PHOTOLOG_DIR/opfiles/opBadFields.par`.

  If there is a problem with one camcol, we assume a problem with all camcols.